> ## Documentation Index
> Fetch the complete documentation index at: https://globalprs-docs.sadhguru.org/llms.txt
> Use this file to discover all available pages before exploring further.

# PaymentStatusWebhook

> Payment status webhook



## OpenAPI

````yaml api-reference/openapi.json post /payment/status-webhook
openapi: 3.1.0
info:
  title: PRS API
  version: 0.0.1
  description: API for PRS
servers:
  - url: /
security:
  - BearerToken: []
    SystemToken: []
paths:
  /payment/status-webhook:
    post:
      tags:
        - Payment
      summary: PaymentStatusWebhook
      description: Payment status webhook
      operationId: PaymentStatusWebhookPaymentStatusWebhook
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PaymentWebHookStatusData'
        required: true
      responses:
        '201':
          description: Document created, URL follows
          headers: {}
          content:
            application/json:
              schema:
                additionalProperties: {}
                type: object
        '400':
          description: Bad request syntax or unsupported method
          content:
            application/json:
              schema:
                properties:
                  status_code:
                    type: integer
                  detail:
                    type: string
                  extra:
                    additionalProperties: {}
                    type:
                      - 'null'
                      - object
                      - array
                type: object
                required:
                  - detail
                  - status_code
                description: Validation Exception
                examples:
                  - status_code: 400
                    detail: Bad Request
                    extra: {}
      deprecated: false
components:
  schemas:
    PaymentWebHookStatusData:
      properties:
        amount:
          type: number
        currency:
          type: string
        eventType:
          type: string
        programCode:
          type: string
        programType:
          type: string
        requestId:
          type: string
        completedTs:
          oneOf:
            - type: 'null'
            - type: string
        createdTs:
          oneOf:
            - type: 'null'
            - type: string
        invoiceId:
          oneOf:
            - type: 'null'
            - type: string
        paymentStatus:
          oneOf:
            - type: 'null'
            - type: string
        subscriptionId:
          oneOf:
            - type: 'null'
            - type: string
        transactionId:
          oneOf:
            - type: 'null'
            - type: string
        receiptInfo:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/Receipt'
        paymentData:
          oneOf:
            - type: 'null'
            - $ref: '#/components/schemas/PaymentData'
        modifiedTs:
          oneOf:
            - type: 'null'
            - type: string
        paymentId:
          oneOf:
            - type: 'null'
            - type: string
        paymentMethod:
          oneOf:
            - type: 'null'
            - type: string
        addlInfo:
          oneOf:
            - type: 'null'
            - type: string
        receiptUrl:
          oneOf:
            - type: 'null'
            - type: string
        renewalType:
          oneOf:
            - type: 'null'
            - type: string
        params:
          oneOf:
            - type: 'null'
            - type: object
      type: object
      required:
        - amount
        - currency
        - eventType
        - programCode
        - programType
        - requestId
      title: PaymentWebHookStatusData
    Receipt:
      properties:
        country:
          oneOf:
            - type: 'null'
            - type: string
        email:
          oneOf:
            - type: 'null'
            - type: string
        purpose:
          oneOf:
            - type: 'null'
            - type: string
        raised_date:
          oneOf:
            - type: 'null'
            - type: string
        receipt_number:
          oneOf:
            - type: 'null'
            - type: string
        receipt_url:
          oneOf:
            - type: 'null'
            - type: string
      type: object
      required: []
      title: Receipt
    PaymentData:
      properties:
        amount:
          type: number
        currency:
          type: string
        methodDetails:
          oneOf:
            - type: 'null'
            - type: string
        refId:
          oneOf:
            - type: 'null'
            - type: string
        fee:
          oneOf:
            - type: 'null'
            - type: number
      type: object
      required:
        - amount
        - currency
      title: PaymentData
  securitySchemes:
    BearerToken:
      type: http
      scheme: bearer
    SystemToken:
      type: apiKey
      description: System token for additional authentication
      name: x-system-token
      in: header

````